
From: William Lee Irwin III <wli@holomorphy.com>

hugetlb CONFIG_SYSCTL=n fix, take 2: the real thing.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/mm/hugetlb.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN mm/hugetlb.c~legacy_va_layout-compile-error-with-sysctl=n mm/hugetlb.c
--- 25/mm/hugetlb.c~legacy_va_layout-compile-error-with-sysctl=n	2004-08-15 14:50:18.029006296 -0700
+++ 25-akpm/mm/hugetlb.c	2004-08-15 14:50:18.033005688 -0700
@@ -123,6 +123,7 @@ static int __init hugetlb_setup(char *s)
 }
 __setup("hugepages=", hugetlb_setup);
 
+#ifdef CONFIG_SYSCTL
 static void update_and_free_page(struct page *page)
 {
 	int i;
@@ -188,7 +189,6 @@ static unsigned long set_max_huge_pages(
 	return nr_huge_pages;
 }
 
-#ifdef CONFIG_SYSCTL
 int hugetlb_sysctl_handler(struct ctl_table *table, int write,
 			   struct file *file, void __user *buffer,
 			   size_t *length, loff_t *ppos)
_
